//=========================================================================
//
//	FILE:				CP_NibXML.cpp
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Application entry point for CP_CP_NibXML demo app.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 10 $
//						Latest Checkout:  $Date: 2005-08-30 20:32:29 -0700 (Tue, 30 Aug 2005) $
//
//=========================================================================

	// CP_CP_NibXML
#include "CP_NibXML.h"
#include "CP_NibXML_App.h"

	// CPLAT_Framework
#include "CP_Data_ResourceTypes.h"
#include "CP_Exceptions.h"
#include "CP_FrameworkFlags.h"
#include "CP_FrameworkResources.h"
#include "CP_SmartPtr.h"
#include "CP_Startup.h"

#if TARGET_OS_MAC && TARGET_CC_METROWERKS && CP_Debug
	#include <DataViewer.h>
#endif	// TARGET_OS_MAC && TARGET_CC_METROWERKS && CP_Debug

#if TARGET_OS_LINUX
	#include "CP_FrameworkStructures_Linux.h"
	#include "CP_Resource_Imp_Linux.h"

		// Images
	#include "TestIcon.xpm"
		// XML
	#include "MainWindow_Gtk.xml"

	extern  void InitLinuxResources();

	extern CPLAT::CP_S_MenuItems_Linux	gMenuBar_Main[];
#endif

#if TARGET_OS_MAC || TARGET_OS_LINUX
	int main( int argc, char *argv[] )
#else if TARGET_OS_WIN32
	int WINAPI WinMain( HINSTANCE hInst, HINSTANCE hPreInst, LPSTR lpszCmdLine, int nCmdShow )
#endif
{
	#if TARGET_OS_MAC && TARGET_CC_METROWERKS && CP_Debug
		DataViewLibInit();
	#endif	// TARGET_CC_METROWERKS && CP_Debug

	try
	{	
		#if TARGET_OS_LINUX
			InitLinuxResources();
		#endif

		#if TARGET_OS_MAC || TARGET_OS_LINUX
			CPLAT::CP_SmartPtr<CPLAT::CP_Startup>		platformStartup( CP_new CPLAT::CP_Startup( argc, argv ) );
		#else
			CPLAT::CP_SmartPtr<CPLAT::CP_Startup>		platformStartup( CP_new CPLAT::CP_Startup( hInst, hPreInst, lpszCmdLine, nCmdShow  ) );
		#endif

		CP_NibXML_Application		application;
		application.Run();	
	}
	catch(...)
	{
	}
	
	return( 0 );
}

#if TARGET_OS_LINUX
	void InitLinuxResources()
	{
		CPLAT::OSHandle			resourceData = NULL;
		
			// Menu bar
		resourceData = (CPLAT::OSHandle) &gMenuBar_Main;
		CP_ADD_RESOURCE_ENTRY( CPLAT::kMenuBarResourceType, CPLAT::kCP_DefaultMenuBarID, resourceData );

			// XML files
		CP_ADD_RESOURCE_ENTRY( CPLAT::kXMLDataResourceType, 1000, MainWindow );

			// Image files
		CP_ADD_RESOURCE_ENTRY( CPLAT::kIconResourceType, 1000, TestIcon );
	}
#endif	// TARGET_OS_LINUX
