//=========================================================================
//
//	FILE:				CP_EventHandler.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Base class for objects that will handle events from the
//						various underlying OSs.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_EventHandler
#define _H_CP_EventHandler
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_EventHandler_Imp_CE.h"
#include "CP_EventHandler_Imp_Win.h"

#if TARGET_OS_LINUX
	#include "CP_EventHandler_Imp_Gtk.h"
#endif

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_EventHandler
*	@brief		Base class for objects that will handle events from the various underlying OSs.
*/

class CP_EXPORT CP_EventHandler : public CP_EventHandler_Imp
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_EventHandler();
	//! Destructor.
	virtual								~CP_EventHandler();
	//@}
			
protected:

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
										CP_EventHandler( EventTargetRef inTarget );
	//@}
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_EventHandler

