//=========================================================================
//
//	FILE:				CP_Help.h
//	
//						Copyright  2005. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Various OS help routines used in CPLAT.
//	
//	HISTORY:			1st Version - June 2005.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 267 $
//						Latest Checkout:  $Date: 2005-08-31 19:33:20 -0700 (Wed, 31 Aug 2005) $
//
//=========================================================================
#ifndef _H_CP_OSHelp
#define _H_CP_OSHelp
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class		CP_Help - [namespace]
*	@brief		A collection of classes used to display help to the user.
*
*	@ingroup	Alerts
*/
namespace CP_Help
{
	/*!
	*	@class		CP_OSHelp
	*	@brief		A class to manage the underlying OSs help system.
	*/
	class CP_OSHelp
	{
	public:
		//! @name Constructor / Destructor
		//@{
		//! Constructor.
										CP_OSHelp();
		//! Destructor.
			virtual						~CP_OSHelp() throw();
		//@}
			
		//! @name Registration
		//@{
		static	CP_OSHelp				*Instance();
		//@}

		//! @name Registration
		//@{
			virtual	void				RegisterWithOS();
		//@}
										
	// class data
	private:	
		static CP_OSHelp				*fsInstance;		/*! Single instance of this class. */

	//========================================================================
	// Platform specific routines
	//========================================================================
	#if TARGET_OS_MAC
	#endif

	#if TARGET_OS_WIN32
	#endif

	#if TARGET_OS_LINUX
	#endif
	};
}	// namespace CP_Help

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_Help

