//=========================================================================
//
//	FILE:				CP_NoCopy.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Class to be used as a base class for objects that
//						should not be copyable.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 269 $
//						Latest Checkout:  $Date: 2005-09-05 19:20:19 -0700 (Mon, 05 Sep 2005) $
//
//=========================================================================
#ifndef _H_CP_NoCopy
#define _H_CP_NoCopy
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

/*!
*	@class	CP_NoCopy
*	@brief	Class to be used as a base class for objects that should not be copyable
*/
class CP_EXPORT CP_NoCopy
{
protected:
											// Construction / destruction
										CP_NoCopy();
	virtual								~CP_NoCopy();
			
private:
											// Don't allow copy and assignment
										CP_NoCopy( const CP_NoCopy& );
	const CP_NoCopy&					operator = ( const CP_NoCopy& );

	// class data
protected:
	
//========================================================================
// Platform specific routines
//========================================================================
#if TARGET_OS_MAC
#endif

#if TARGET_OS_WIN32
#endif

#if TARGET_OS_LINUX
#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_NoCopy
