//=========================================================================
//
//	FILE:				CP_PropertyList_Boolean.h
//	
//						Created by Jens Miltner on 01.12.04.
//	
//	PURPOSE:			CP_PropertyList boolean values.
//	
//	HISTORY:			1st Version - January 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 115 $
//						Latest Checkout:  $Date: 2005-03-24 16:55:37 -0800 (Thu, 24 Mar 2005) $
//
//=========================================================================
#ifndef _H_CP_PropertyList_Boolean
#define _H_CP_PropertyList_Boolean

#include "CP_PropertyList_Node.h"
#if CP_PropertyList_Uses_CoreFoundation
	#include "CP_CFObject.h"
#endif

CPLAT_Begin_Namespace_CPLAT

namespace CP_PropertyList {

	class CP_EXPORT Boolean : public Node
#if CP_PropertyList_Uses_CoreFoundation
		, protected CP_CFObject<CFBooleanRef>
#endif
	{
	public:
		static const Boolean* True();
		static const Boolean* False();
		
		bool GetBoolean() const;
		
		virtual NodeType_t NodeType() const throw();
		
		static Boolean* FromXMLData(CP_InStream& inXMLDataStream);

		virtual void PrintToLog(CP_LogFile& inLogFile, SInt32 inLevel=0, SInt32 inIndentLevel=0) const;
	#if CP_PropertyList_Uses_CoreFoundation
		virtual CFTypeRef/*CFBooleanRef*/ GetNodeCFRef() const;
	#endif
	#if !CP_PropertyList_Uses_CoreFoundation
	protected:
		//! write XML data for this node only (i.e. without xml header, plist root, etc.)
		virtual void WriteNodeXMLData(CP_OutStream& inXMLDataStream, int inLeadingSpaces) const;
	#endif
		
	public:
		virtual ~Boolean() throw();
	protected:
		explicit Boolean(bool inValue);
	private:
		Boolean(const Boolean& src); // no implementation

		// class data:
	protected:
	#if !CP_PropertyList_Uses_CoreFoundation
		bool fBoolData;
	#endif
	};
} // end of namespace CP_PropertyList

CPLAT_End_Namespace_CPLAT

#endif // _H_CP_PropertyList_Boolean
