//=========================================================================
//
//	FILE:				CP_PropertyList_Types.h
//	
//						Created by Jens Miltner on 01.12.04.
//	
//	PURPOSE:			Types definitions for CP_PropertyList.
//	
//	HISTORY:			1st Version - January 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 144 $
//						Latest Checkout:  $Date: 2005-04-12 21:56:34 -0700 (Tue, 12 Apr 2005) $
//
//=========================================================================
#ifndef _H_CP_PropertyList_Types
#define _H_CP_PropertyList_Types

#include "CP_M_ReferenceCounted.h"

#ifndef CP_PropertyList_Uses_CoreFoundation
	#if TARGET_OS_MAC && TARGET_API_MAC_CARBON
		#define CP_PropertyList_Uses_CoreFoundation 1
	#else
		#define CP_PropertyList_Uses_CoreFoundation 0
	#endif
#endif

CPLAT_Begin_Namespace_CPLAT

namespace CP_PropertyList {

  class String;
  class Number;
  class Boolean;
  class DateTime;
	class BinaryData;
	class Array;
	class Dictionary;
	
  enum NodeType_t {
    NodeType_Any = 0,		//!< 'wildcard' pseudo-node-type matching any node type; not a real node type
    NodeType_String,		//!< node represents a string
    NodeType_Number,		//!< node represents a number
    NodeType_Boolean,		//!< node represents a boolean value
    NodeType_DateTime,		//!< node represents a date/time value
    NodeType_BinaryData,	//!< node represents a blob of binary data
    NodeType_Dictionary,	//!< node represents a key-value-coded dictionary
    NodeType_Array			//!< node represents an array
  };
		
} // end of namespace CP_PropertyList

CPLAT_End_Namespace_CPLAT

#endif // _H_CP_PropertyList_Types
