//=========================================================================
//
//	FILE:				CP_StTPenStateSaver.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			A stack based class to save and restore the pen state
//						of a platforms OS graphics port.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_StTPenStateSaver
#define _H_CP_StTPenStateSaver
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Canvas.h"
#include "CP_NoCopy.h"
#include "CP_Region.h"
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

//=========================================================================
//	CP_StPenStateSaver
//		Save and restore the state of our ports pen.
//=========================================================================
//!  CP_TextState
/*!
  class to save and restore the state of a pen in a CP_Canvas object.
  \sa CP_Canvas.
*/
class CP_EXPORT CP_StPenStateSaver : public CP_NoCopy
{
public:
										CP_StPenStateSaver( CP_Canvas& inCanvas );
										~CP_StPenStateSaver();
				
			void						Save();
			void						Restore();
	
			void						Default();

private:
	CP_Canvas							fCanvas;		/*! Canvas object we are saving information for. */
		
	#if TARGET_OS_MAC
		PenState						fSavedPenState;	/*! Saved information about the MacOS pen. */
	#endif
};

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_StTPenStateSaver


