//=========================================================================
//
//	FILE:				CP_FrameworkResources.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Defines for various resources used in the CPLAT framework.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 179 $
//						Latest Checkout:  $Date: 2005-05-18 23:38:55 -0700 (Wed, 18 May 2005) $
//
//=========================================================================
#ifndef _H_CP_FrameworkResources
#define _H_CP_FrameworkResources
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

	// CPLAT_Framework
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT

//=====================================================================
//	A L E R T S
//=====================================================================
	// Default Assertion alert
const SInt16 kCP_DefaultAssertAlertID							= 128;
const SInt16 kCP_DebugAssertAlertID								= 129;

	// Default Exception alerts
const SInt16 kCP_DefaultExceptionAlertID						= 130;
const SInt16 kCP_DebugExceptionAlertID							= 131;

//=====================================================================
//	C L U T S
//=====================================================================
const SInt32 kCP_CLUT_ColorOneBit								= 65;
const SInt32 kCP_CLUT_ColorFourBit								= 68;
const SInt32 kCP_CLUT_ColorEightBit								= 72;
const SInt32 kCP_CLUT_BW_OneBit									= 33;
const SInt32 kCP_CLUT_BW_FourBit								= 36;
const SInt32 kCP_CLUT_BW_EightBit								= 40;

//=====================================================================
//	I M A G E S
//=====================================================================
const SInt16 kCP_ChasingArrow_Frame1_ImageID					= 128;
const SInt16 kCP_ChasingArrow_Frame2_ImageID					= 129;
const SInt16 kCP_ChasingArrow_Frame3_ImageID					= 130;
const SInt16 kCP_ChasingArrow_Frame4_ImageID					= 131;
const SInt16 kCP_ChasingArrow_Frame5_ImageID					= 132;
const SInt16 kCP_ChasingArrow_Frame6_ImageID					= 133;
const SInt16 kCP_ChasingArrow_Frame7_ImageID					= 134;
const SInt16 kCP_ChasingArrow_Frame8_ImageID					= 135;

const SInt16 kCP_Disclosure_Open_Left_ImageID					= 136;
const SInt16 kCP_Disclosure_Open_Right_ImageID					= 137;
const SInt16 kCP_Disclosure_Closed_Left_ImageID					= 138;
const SInt16 kCP_Disclosure_Closed_Right_ImageID				= 139;

//=====================================================================
//	M E N U S
//=====================================================================
const SInt16 kCP_DefaultMenuBarID								= 128;

const SInt16 kCP_AppleMenuID									= 128;
const SInt16 kCP_FileMenuID										= 129;
const SInt16 kCP_EditMenuID										= 130;

const SInt16 kCP_FontMenuID										= 500;
const SInt16 kCP_FontSizeMenuID									= 501;

const SInt16 kCP_DebugMenuID									= 900;

//=====================================================================
//	S C R I P T I N G
//=====================================================================
#define kCP_ScriptingDefinitionFileName							"CPLAT::ScriptingDefinition"
#define kCP_ScriptingDefinitionFileExtension					"sdef"

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_FrameworkResources
