//=========================================================================
//
//	FILE:				CP_StreamDefines.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			Various defines used in the CPLAT streaming classes.
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 106 $
//						Latest Checkout:  $Date: 2005-03-21 15:03:06 -0800 (Mon, 21 Mar 2005) $
//
//=========================================================================
#ifndef _H_CP_StreamDefines
#define _H_CP_StreamDefines

#ifndef TARGET_OS_LINUX
	#pragma once
#endif

CPLAT_Begin_Namespace_CPLAT

const UInt32 kCP_StreamHeaderTag											= CP_FOUR_CHAR_CODE('CPLA');
	
const UInt16 kCP_StreamVersion												= 2;
const char kCP_StreamData_LittleEdian										= 'L';
const char kCP_StreamData_BigEdian											= 'B';
const char kCP_StreamData_PlatformEdian										= 'P';

const UInt32 kCP_StreamData_IsPlainCharacterStringMask						= 0x80000000;

	// Tags put in debug builds of streams to check data.
const SInt32 kCP_DebugStreamTag_Char										= CP_FOUR_CHAR_CODE('char');
const SInt32 kCP_DebugStreamTag_CharPtr										= CP_FOUR_CHAR_CODE('CHAP');
const SInt32 kCP_DebugStreamTag_UnsignedCharPtr								= CP_FOUR_CHAR_CODE('UCHP');
const SInt32 kCP_DebugStreamTag_SInt16										= CP_FOUR_CHAR_CODE('SI16');
const SInt32 kCP_DebugStreamTag_SInt32										= CP_FOUR_CHAR_CODE('SI32');
const SInt32 kCP_DebugStreamTag_Float										= CP_FOUR_CHAR_CODE('FLOA');
const SInt32 kCP_DebugStreamTag_Double										= CP_FOUR_CHAR_CODE('DOUB');
const SInt32 kCP_DebugStreamTag_UnsignedChar								= CP_FOUR_CHAR_CODE('UCHA');
const SInt32 kCP_DebugStreamTag_UInt16										= CP_FOUR_CHAR_CODE('UI16');
const SInt32 kCP_DebugStreamTag_UInt32										= CP_FOUR_CHAR_CODE('UI32');
const SInt32 kCP_DebugStreamTag_CPPoint										= CP_FOUR_CHAR_CODE('POIN');
const SInt32 kCP_DebugStreamTag_CPSize										= CP_FOUR_CHAR_CODE('SIZE');
const SInt32 kCP_DebugStreamTag_CPRect										= CP_FOUR_CHAR_CODE('RECT');
const SInt32 kCP_DebugStreamTag_CPHandle									= CP_FOUR_CHAR_CODE('HAND');
const SInt32 kCP_DebugStreamTag_CPPtr										= CP_FOUR_CHAR_CODE('PTR_');
const SInt32 kCP_DebugStreamTag_Bool										= CP_FOUR_CHAR_CODE('BOOL');
const SInt32 kCP_DebugStreamTag_CPString									= CP_FOUR_CHAR_CODE('STRN');
const SInt32 kCP_DebugStreamTag_CPRGBColor									= CP_FOUR_CHAR_CODE('RGBC');
const SInt32 kCP_DebugStreamTag_CPFileSpec									= CP_FOUR_CHAR_CODE('FSPC');

CPLAT_End_Namespace_CPLAT

#endif	// _H_CP_StreamDefines


