//=========================================================================
//
//	FILE:				CP_GtkEvents.h
//	
//						Copyright  2004. Ken Stahlman. All Rights Reserved.
//	
//	PURPOSE:			DESCRIBE CLASS HERE
//	
//	HISTORY:			1st Version - August 2004.
//	
//	NOTES:				- none -
//
//	VERSION:			Current Revision: $Rev: 2 $
//						Latest Checkout:  $Date: 2004-12-21 19:40:38 -0800 (Tue, 21 Dec 2004) $
//
//=========================================================================
#ifndef _H_CP_GtkEvents
#define _H_CP_GtkEvents
#ifndef TARGET_OS_LINUX
	#pragma once
#endif

#if TARGET_OS_LINUX

	// CPLAT_Framework
#include "CP_Event.h"
#include "CP_Events_Defines.h"
#include "CP_OSTypes.h"
#include "CP_Point.h"
#include "CP_Types.h"

CPLAT_Begin_Namespace_CPLAT
	
	// definitions for various GTK events
const FourCharCode kGtkDrawEvent									= CP_FOUR_CHAR_CODE('DRAW');

template <>
class CP_Event<kCP_GTK_EVENT, kCP_Event_Draw> : public CP_Event_Base
{
public:
									// Construction / destruction
								CP_Event();
								CP_Event( CP_Event<kCP_GTK_EVENT, kCP_Event_Draw>& inEvent );
	virtual						~CP_Event();
	
	// class data
public:
	GdkDrawable					*fDrawable;
	GdkGC						*fGraphicsContext;
	GdkRectangle				fUpdateArea;
};

#if TARGET_CC_METROWERKS
#pragma mark -
#pragma mark === kEventClassMouse Events ==
#pragma mark -
#endif

template <> class CP_Event<kCP_EventClassMouse, kCP_Event_MouseDown> : public CP_Event_Base
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
								CP_Event( CP_Event_Base& inEvent );
	//@}
	
	// class data
	CP_Point				fMouseLocation;
};

template <> class CP_Event<kCP_EventClassMouse, kCP_Event_MouseUp> : public CP_Event_Base
{
public:
	//! @name Constructor / Destructor
	//@{
	//! Constructor.
								CP_Event( CP_Event_Base& inEvent );
	//@}
	
	// class data
};

CPLAT_End_Namespace_CPLAT

#endif	// TARGET_OS_LINUX

#endif	// _H_CP_GtkEvents

